Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.quality
Class QualityStats.RecallPoint

    java.lang.Object
      org.apache.lucene.benchmark.quality.QualityStats.RecallPoint

Enclosing class:
  QualityStats

    public static class QualityStats.RecallPoint

extends Object

A certain rank in which a relevant doc was found.

Method Summary
`int` | `getRank()` Returns the rank: where on the list of returned docs this relevant doc appeared.
`double` | `getRecall()` Returns the recall: how many relevant docs were returned up to this point, inclusive.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRank

    public int getRank()

  Returns the rank: where on the list of returned docs this relevant doc appeared.

### getRecall

    public double getRecall()

  Returns the recall: how many relevant docs were returned up to this point, inclusive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.